Loading...
Searching...
No Matches
BaseGraphComponent::Edge Class Reference

## Detailed Description

This class represents the undirected edges of the graph. Undirected graphs can be used as directed graphs, each edge is represented by two opposite directed arcs.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for BaseGraphComponent::Edge:
[legend]

## Public Member Functions

| Edge ()
| Default constructor.
| Edge (const Edge &)
| Copy constructor.
| Edge (Invalid)
| Constructor for conversion from `INVALID`.
| Edge (const Arc &)
| Constructor for conversion from an arc.
Public Member Functions inherited from GraphItem< 'e'>
| GraphItem ()
| Default constructor.
| GraphItem (const GraphItem &)
| Copy constructor.
| GraphItem (Invalid)
| Constructor for conversion from `INVALID`.
GraphItem & | operator= (const GraphItem &)
| Assignment operator.
GraphItem & | operator= (Invalid)
| Assignment operator for INVALID.
bool | operator== (const GraphItem &) const
| Equality operator.
bool | operator!= (const GraphItem &) const
| Inequality operator.
bool | operator< (const GraphItem &) const
| Ordering operator.

## Constructor & Destructor Documentation

## Edge() [1/4]

Edge | ( |  | ) |

inline

Default constructor.

Warning
  The default constructor is not required to set the item to some well-defined value. So you should consider it as uninitialized.

## Edge() [2/4]

Edge | ( | const Edge & |  | ) |

inline

Copy constructor.

## Edge() [3/4]

Edge | ( | Invalid |  | ) |

inline

Constructor for conversion from `INVALID`. It initializes the item to be invalid.

See also
  Invalid for more details.

## Edge() [4/4]

Edge | ( | const Arc & |  | ) |

inline

Constructor for conversion from an arc. Besides the core graph item functionality each arc should be convertible to the represented edge.